## ocaml-bigstringaf 0.8.0

=== lib/freestanding/Makefile ===
PKG_CONFIG_PATH := $(shell opam config var prefix)/lib/pkgconfig

EXISTS := $(shell PKG_CONFIG_PATH=$(PKG_CONFIG_PATH) pkg-config --exists ocaml-freestanding; echo $$?)

.PHONY: all clean
all: libbigstringaf_freestanding_stubs.a

ifeq ($(EXISTS), 1)
libbigstringaf_freestanding_stubs.a:
	touch $@
else
CC ?= cc
FREESTANDING_CFLAGS := $(shell PKG_CONFIG_PATH=$(PKG_CONFIG_PATH) pkg-config --cflags ocaml-freestanding)
CFLAGS := -O3 $(FREESTANDING_CFLAGS)

OBJS=bigstringaf_stubs.o

libbigstringaf_freestanding_stubs.a: $(OBJS)
	$(AR) r $@ $^
endif

clean:
	$(RM) $(OBJS) libbigstringaf_freestanding_stubs.a

=== debian/changelog ===
ocaml-bigstringaf (0.8.0-3build1) jammy; urgency=medium

  * No-change rebuild for ocaml abi changes.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 24 Jan 2022 17:22:43 +0100

ocaml-bigstringaf (0.8.0-3) unstable; urgency=medium

  * Add pkg-config to Build-Depends

 -- Stéphane Glondu <glondu@debian.org>  Fri, 31 Dec 2021 08:43:27 +0100

ocaml-bigstringaf (0.8.0-2) unstable; urgency=medium

  * Install stubs also on bytecode architectures

 -- Stéphane Glondu <glondu@debian.org>  Sat, 27 Nov 2021 08:35:02 +0100

ocaml-bigstringaf (0.8.0-1) unstable; urgency=medium

  * Initial release (Closes: #1000371)

 -- Stéphane Glondu <glondu@debian.org>  Mon, 22 Nov 2021 12:28:52 +0100

=== debian/control ===
Source: ocaml-bigstringaf
Section: ocaml
Priority: optional
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders: Stéphane Glondu <glondu@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 libbigarray-compat-ocaml-dev,
 ocaml-nox,
 ocaml-dune,
 pkg-config,
 dh-ocaml
Standards-Version: 4.6.0
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/ocaml-team/ocaml-bigstringaf
Vcs-Git: https://salsa.debian.org/ocaml-team/ocaml-bigstringaf.git
Homepage: https://github.com/inhabitedtype/bigstringaf

Package: libbigstringaf-ocaml-dev
Provides: ${ocaml:Provides}
Architecture: any
Depends:
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Recommends: ocaml-findlib
Description: bigstring intrinsics and fast blits for OCaml (dev files)
 The OCaml compiler has a bunch of intrinsics for Bigstrings, but
 they're not widely-known, sometimes misused, and so programs that use
 Bigstrings are slower than they have to be. And even if a library got
 that part right and exposed the intrinsics properly, the compiler
 doesn't have any fast blits between Bigstrings and other string-like
 types.
 .
 This package contains development files.

Package: libbigstringaf-ocaml
Provides: ${ocaml:Provides}
Architecture: any
Depends:
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Description: bigstring intrinsics and fast blits for OCaml (runtime files)
 The OCaml compiler has a bunch of intrinsics for Bigstrings, but
 they're not widely-known, sometimes misused, and so programs that use
 Bigstrings are slower than they have to be. And even if a library got
 that part right and exposed the intrinsics properly, the compiler
 doesn't have any fast blits between Bigstrings and other string-like
 types.
 .
 This package contains runtime files.

=== debian/watch ===
version=4
https://github.com/inhabitedtype/bigstringaf/releases .*/tags/v?([0-9.]?)\.tar\.gz

## ocaml-bigstringaf 0.9.0

=== Makefile ===
.PHONY: all build clean test

build:
	dune build @install

all: build

test:
	dune runtest

install:
	dune install

uninstall:
	dune uninstall

clean:
	rm -rf _build *.install

=== debian/changelog ===
ocaml-bigstringaf (0.9.0-1) unstable; urgency=medium

  [ Stéphane Glondu ]
  * New upstream release

  [ Ralf Treinen ]
  * fix typo in debian/watch

  [ Debian Janitor ]
  * Set upstream metadata fields: Repository-Browse.
  * debian/watch: Use GitHub /tags rather than /releases page.
  * Update standards version to 4.6.1, no changes needed.

 -- Stéphane Glondu <glondu@debian.org>  Thu, 02 Feb 2023 02:59:27 +0100

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
  ocaml-dune,
  pkg-config,
  dh-ocaml
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/ocaml-team/ocaml-bigstringaf
 Vcs-Git: https://salsa.debian.org/ocaml-team/ocaml-bigstringaf.git

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/ocaml/ocamlvars.mk

DESTDIR=$(CURDIR)/debian/tmp

%:
	dh $@ --with ocaml

override_dh_auto_build:
	dune build -p bigstringaf

override_dh_auto_install:
	dune install --destdir=$(DESTDIR) --prefix=/usr --libdir=..$(OCAML_STDLIB_DIR)
	rm -f $(DESTDIR)/usr/doc/*/LICENSE

override_dh_auto_test:
# Needs alcotest

override_dh_strip:
	dh_strip -Xfreestanding

=== debian/watch ===
version=4
https://github.com/inhabitedtype/bigstringaf/tags .*/tags/v?([0-9.]*)\.tar\.gz

## ocaml-bigstringaf 0.9.1

=== debian/changelog ===
ocaml-bigstringaf (0.9.1-1build1) noble; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 02 Nov 2023 23:08:00 +0100

ocaml-bigstringaf (0.9.1-1) unstable; urgency=medium

  * New upstream release
  * Include ocamlvars.mk in debian/rules
  * Bump Standards-Version to 4.6.2

 -- Stéphane Glondu <glondu@debian.org>  Fri, 21 Jul 2023 06:47:21 +0200

ocaml-bigstringaf (0.9.0-2) unstable; urgency=medium

  * Use ocaml_dune DH buildsystem

 -- Stéphane Glondu <glondu@debian.org>  Sat, 15 Jul 2023 13:48:44 +0200

=== debian/control ===
--- 
+++ 
@@ -6,11 +6,12 @@
 Build-Depends:
  debhelper-compat (= 13),
  libbigarray-compat-ocaml-dev,
- ocaml-nox,
+ libdune-ocaml-dev,
+ ocaml,
  ocaml-dune,
  pkg-config,
- dh-ocaml
-Standards-Version: 4.6.1
+ dh-ocaml (>= 1.2)
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/ocaml-team/ocaml-bigstringaf
 Vcs-Git: https://salsa.debian.org/ocaml-team/ocaml-bigstringaf.git

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

include /usr/share/ocaml/ocamlvars.mk

%:
	dh $@ --with ocaml --buildsystem ocaml_dune

override_dh_auto_test:
# Needs alcotest

## ocaml-bigstringaf 0.10.0

=== debian/changelog ===
ocaml-bigstringaf (0.10.0-1build2) questing; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 16 Jun 2025 20:13:37 +0200

ocaml-bigstringaf (0.10.0-1build1) plucky; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 29 Jan 2025 10:56:39 +0100

ocaml-bigstringaf (0.10.0-1) unstable; urgency=medium

  * New upstream release
  * Bump Standards-Version to 4.7.0

 -- Stéphane Glondu <glondu@debian.org>  Mon, 19 Aug 2024 19:29:31 +0200

=== debian/control ===
--- 
+++ 
@@ -9,9 +9,9 @@
  libdune-ocaml-dev,
  ocaml,
  ocaml-dune,
- pkg-config,
+ pkgconf,
  dh-ocaml (>= 1.2)
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/ocaml-team/ocaml-bigstringaf
 Vcs-Git: https://salsa.debian.org/ocaml-team/ocaml-bigstringaf.git
